@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Madimi+One&family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Madimi+One&family=Raleway:ital,wght@0,100..900;1,100..900&family=Sriracha&display=swap');


html, body
{
    scroll-behavior: smooth;
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    background: rgb(251, 255, 255);
}

.content
{
    overflow-y: hidden;
    margin-top: 80px;
    width: 100%;
    height: calc(100vh - 80px);
    position: relative;
    margin-bottom: 0;
}

::selection {
    background: #0097d3a1;
    text-shadow: 0px 0px 1px rgb(0, 0, 0);
    color: #000000;
}

.container
{
    height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
}


@media (max-width: 768px)
{
    .content
    {
        margin-top: 40px;
    }
}


/*          #region Main panel         */
.main-panel
{
    display: flex;
    justify-content:center;
    align-items: center;
    height: auto;
    margin: 50px 50px 20px 150px;
    border-radius: 30px;
    padding: 40px;
    padding-bottom: 20px;
    transition: margin-left 0.3s;
}

.main-panel label
{
    font-size: 1.7em;
    font-weight: 800;
}

.main-panel ion-icon
{
    font-size: 1.1em;
    font-weight: 1000;
    color: #28414e;
    transform: rotate(-90deg);
    transition: 0.1s;
}

.main-panel button
{
    border: none;
    outline: none;
    background-color: transparent;
    font-size: 1.2em;
    color: #28414e;
    transition: 0.2s;
}
.main-panel button:hover
{
    color: #3a5f74;
}

.main-panel form
{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 30px;
}



@media (max-width: 768px)
{
    .main-panel
    {
        overflow-x: hidden;
        width: calc(100% - 20px);
        margin: 0;
        border-radius: 30px;
        padding: 10px;
    }
    .main-panel label
    {
        font-size: 1.2em;
        font-weight: 800;
    }

    .main-panel ion-icon
    {
        font-size: 1em;
    }

    .main-panel button
    {
        font-size: 0.9em;
    }
}
/* #endregion */

/*    #region-2 Textarea and code   */
.textarea-container
{
    width: 100%;
    margin: 0;
    position: relative;
}

.textarea-container pre,
.textarea-container textarea
{

    box-sizing: border-box;
    width: 100%;
    padding: 10px 10px 10px 10px;
    font-size: 1.7em;
    font-weight: 600;
    border-radius: 20px;
    line-height: 1.4;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.281);
    border: none;
    outline: none;
    min-height: 100px;
}

.textarea-container pre
{
    z-index: 1;
    color: black;
    pointer-events: none;
    background-color: rgba(255, 255, 255, 0.9);

    white-space: pre-wrap;
    word-wrap: break-word;
}

.textarea-container textarea
{
    position: absolute;
    top: 23px; left: 0;
    background: transparent;
    color: transparent;
    caret-color: black;
    z-index: 2;
    resize: none;
    overflow: hidden;
    text-decoration: none;
    height: auto;
}



.textarea-container textarea:focus
{
    border: none;
    outline: none;
}

.textarea-container textarea:focus::placeholder
{
    color: transparent;
}
.textarea-container textarea::placeholder
{
    color: #0000007e;
    font-size: 0.9em;
    font-weight: 100;
    transition: color 0.7s ease;
}

.syntax-link { color: #0093e9; }
.syntax-b { color: hsl(273, 70%, 40%); }
.syntax-i { color: hsl(273, 70%, 40%); }
.syntax-u { color: hsl(273, 70%, 40%); }
.syntax-s { color: hsl(273, 70%, 40%); }
.syntax-h { color: hsl(273, 70%, 40%); }
.syntax-br { color: #a992bb; }
.syntax-hr { color: #a992bb; }

.syntax-tag
{
    color: hsl(258, 100%, 50%);
    font-weight: 1000;
}

.latex-command { color: #ff8800; font-weight: bold; }
.latex-symbol { color: #999; }
.latex-break { color: #00aeff; }
.latex-comment
{
    color: #7c7c7c;
    font-weight: 100;
    font-style: italic;
}

.latex-env
{
    color: #ff3c00;
    /* background-color: #0000001f; */
    font-family: monospace;
    font-weight: 1000;
    background-color: #ff846e2d;
    border-radius: 8px;
}
.latex-env-block
{
    color: hsl(29, 100%, 50%);
    background-color: #d9dcdc;
    font-family: monospace;
    display: block;
    margin-left: -5px;
    padding-left: 5px;
    white-space: pre;
    text-wrap: wrap;
    border-radius: 8px;
}
.latex-env-inline
{
    color: hsl(29, 100%, 50%);
    background-color: #d9dcdc;
}


@media (max-width: 768px)
{
    .textarea-container pre,
    .textarea-container textarea
    {
        font-size: 1.2em;
    }
    .textarea-container textarea
    {
        position: absolute;
        top: 16px; left: 0;
        background: transparent;
        color: transparent;
        caret-color: black;
        z-index: 2;
        resize: none;
        overflow: hidden;
        text-decoration: none;
        height: auto;
    }
}

/* #endregion */


/*    #region-2 section block   */
.exercise-command-block
{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 10px 30px 10px 30px;
    border: 2px solid #0000003b;
    background-color: rgba(0, 0, 0, 0.123);
    border-radius: 20px;
    gap: 20px;
    transition: 0.1s;
}
.exercise-command-block.hide
{
    display: none;
}
.exercise-command-block.show ion-icon
{
    transform: rotate(0deg);
}
.exercise-command-block.show
{
    border: 6px solid #000000ab;
    background-color: rgba(0, 71, 80, 0.295);
}
.exercise-command-block.ok
{
    background-color: rgba(0, 126, 48, 0.247);
}
.exercise-command-block.show.ok
{
    background-color: rgba(0, 71, 80, 0.295);
}


.exercise-content-block
{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 10px 30px 10px 30px;
    border: 2px solid #0000003b;
    background-color: rgba(0, 0, 0, 0.123);
    border-radius: 20px;
    gap: 20px;
    transition: 0.1s;
}
.exercise-content-block.show ion-icon
{
    transform: rotate(0deg);
}
.exercise-content-block.show
{
    border: 6px solid #000000ab;
    background-color: rgba(0, 71, 80, 0.295);
}
.exercise-content-block.ok
{
    background-color: rgba(0, 126, 48, 0.247);
}
.exercise-content-block.show.ok
{
    background-color: rgba(0, 71, 80, 0.295);
}


.exercise-solution-block
{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 10px 30px 10px 30px;
    border: 2px solid #0000003b;
    background-color: rgba(0, 0, 0, 0.123);
    border-radius: 20px;
    gap: 20px;
    transition: 0.1s;
}
.exercise-solution-block.show ion-icon
{
    transform: rotate(0deg);
}
.exercise-solution-block.show
{
    border: 6px solid #000000ab;
    background-color: rgba(0, 71, 80, 0.295);
}
.exercise-solution-block.ok
{
    background-color: rgba(0, 126, 48, 0.247);
}
.exercise-solution-block.show.ok
{
    background-color: rgba(0, 71, 80, 0.295);
}


.exercise-answer-block
{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 10px 30px 10px 30px;
    border: 2px solid #0000003b;
    border-radius: 20px;
    gap: 20px;
    background-color: rgba(0, 0, 0, 0.123);
    transition: 0.1s;
}
.exercise-answer-block.hide
{
    display: none;
}
.exercise-answer-block.show ion-icon
{
    transform: rotate(0deg);
}
.exercise-answer-block.show
{
    border: 6px solid #000000ab;
    background-color: rgba(0, 71, 80, 0.295);
}
.exercise-answer-block.ok
{
    background-color: rgba(0, 126, 48, 0.247);
}
.exercise-answer-block.show.ok
{
    background-color: rgba(0, 71, 80, 0.295);
}



.exercise-tags-block
{
    width: 40%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 10px 30px 10px 30px;
    border-radius: 15px;
    gap: 20px;
    background-color: rgba(0, 0, 0, 0.123);
}


.exercise-settings-block
{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 30px 10px 30px;
}


@media (max-width: 768px)
{
    .exercise-command-block
    {
        width: 90%;
        padding: 5px 20px 5px 20px;
        border-radius: 10px;
        gap: 5px;
    }
    .exercise-content-block
    {
        width: 90%;
        padding: 5px 20px 5px 20px;
        border-radius: 10px;
        gap: 5px;
    }
    .exercise-solution-block
    {
        width: 90%;
        padding: 5px 20px 5px 20px;
        border-radius: 10px;
        gap: 5px;
    }
    .exercise-answer-block
    {
        width: 90%;
        padding: 5px 20px 5px 20px;
        border-radius: 10px;
        gap: 5px;
    }


    .exercise-settings-block
    {
        width: 100%;
        justify-content: center;
        padding: 0;
        gap: 20px;
        padding: 0px 5px;
        font-size: 0.8em;
    }
    .exercise-tags-block
    {
        width: 75%;
        padding: 5px 20px;
        border-radius: 15px;
        gap: 10px;
    }
}

/*   #endregion-2 */


/*    #region-2 preview and toolbar   */
.preview
{
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
    margin-top: 40px;
}
.preview label
{
    color: #2c3233d8;
}




.navigation-exercise
{
    display: flex;
    justify-content: center;
    align-items: start;
    flex-direction: row;
    width: 30%;
    gap: 10px;
    top: 0;
    margin-bottom: 30px;
}
.main-panel .navigation-exercise button
{
    padding: 10px 20px 10px 20px;
    font-size: 0.8em;
    width: 50%;
    cursor: pointer;
    transition: none;
}
.navigation-exercise label
{
    pointer-events: none;
}

.main-panel .navigation-exercise button.exercise-toolbar.active
{
    border-bottom: 4px solid rgba(0, 0, 0, 0.568);
}
.main-panel .navigation-exercise button.exercise-toolbar
{
    border-bottom: 1px solid rgba(0, 0, 0, 0.568);
}

.main-panel .navigation-exercise button.exercise-eqation-toolbar.active
{
    border-bottom: 4px solid rgba(0, 0, 0, 0.568);
}
.main-panel .navigation-exercise button.exercise-eqation-toolbar
{
    border-bottom: 1px solid rgba(0, 0, 0, 0.568);
}


.toolbar
{
    list-style: none;
    text-align: center;
    display: flex;
    gap: 8px;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}
.toolbar.hide
{
    display: none;
}
.toolbar li
{
    display: inline-block;
    position: relative;
}
.toolbar button
{
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.336);
    border: 2px solid rgba(0, 0, 0, 0.349);
    padding: 0 30px;
    height: 50px;
    margin: 0;
    /* padding: 10px 30px; */
    font-size: 1.3em;
    border-radius: 10px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #000000;
    transition: 0.3s;
    cursor: pointer;
}
.toolbar button:hover
{
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.336);
}
.toolbar button:active
{
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.336);
}
.toolbar li ul.equation-dropdown li
{
    display: block;
    margin: 10px 0px;
}
.toolbar li ul.equation-dropdown li button
{
    width: 100%;
    background-color: rgba(255, 255, 255, 0.712);
}
.toolbar li ul.equation-dropdown
{
    width: auto;
    z-index: 10;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.103);
    backdrop-filter: blur(10px);
    right: 0;
    padding: 5px 20px 5px 20px;
    border-radius: 15px;
    display: none;
    font-size: 0.9em;
}
.toolbar button.add-equation-btn
{
    margin-left: 40px;
    padding-left: 50px;
    padding-right: 50px;
}

.toolbar li:hover .equation-dropdown {
    display: block;
}


@media (max-width: 768px)
{
    .navigation-exercise
    {
        width: 80%;
        gap: 10px;
        margin-bottom: 20px;
        font-size: 0.87em;
        text-wrap: nowrap;
    }
    .toolbar button
    {
        padding: 8px 15px;
        font-size: 0.85em;
        border-radius: 10px;
        display: flex;
        align-items: center;
        justify-content: center;
        color: #000000;
        transition: 0.3s;
        cursor: pointer;
    }
    .toolbar button.add-equation-btn
    {
        margin-left: 0;
        padding-left: 20px;
        padding-right: 20px;
    }
    .toolbar li ul.equation-dropdown
    {
        padding: 5px 10px 5px 10px;
        border-radius: 10px;
        font-size: 0.85em;
    }
    .toolbar li ul.equation-dropdown li
    {
        margin: 2px 0px;
    }

    .preview
    {
        gap: 3px;
        margin-top: 25px;
    }
}

/* #endregion-2 */


/* #region-2 eqation toolbar*/
.eqation-toolbar
{
    list-style: none;
    text-align: center;
    text-wrap: nowrap;
    padding: 0;
    margin: 0;
    display: none;
    flex-wrap: wrap;
    justify-content: center;
    gap: 6px;
    margin-bottom: 20px;
}
.eqation-toolbar.active
{
    display: flex;
}
.eqation-toolbar li
{
    display: inline-block;
    position: relative;
    margin: 0;
}
.eqation-toolbar button
{
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.336);
    border: 2px solid rgba(0, 0, 0, 0.349);
    padding: 5px 10px 5px 10px;
    font-size: 1.5em;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    color: #000000;
    transition: 0.3s;
    margin: 0;
}
.main-panel button.add-equation-structure
{
    padding: 10px 20px 5px 20px;
    line-height: 0.2;
    display: flex;
    justify-content: space-between;
    margin: 0;
    height: 130px;
    font-size: 1.3em;
    box-shadow: none;
    transition: 0.5s;
}
.main-panel button.add-equation-structure ion-icon
{
    font-size: 1.2em;
}
.add-equation-structure:hover,
.eqation-toolbar li:hover > button
{
    background-color: #00000057;
    color: #5bffe9;
    box-shadow: none;
}
.add-equation-structure p
{
    font-size: 0.8em;
    margin-bottom: 2px;
    font-weight: 600;
}
.eqation-toolbar button:hover
{
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.336);
}
.eqation-toolbar button:active
{
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.336);
}
.eqation-toolbar li ul.equation-buttnons-dropdown li
{
    display: block;
    margin: 3px 3px;
}
.eqation-toolbar li ul.equation-buttnons-dropdown li button
{
    background-color: rgb(255, 255, 255);
    font-size: 1.1em;
    width: 60px;
    height: 60px;
    transition: 0.2s;
    box-shadow: none;
    border: none;
}
.eqation-toolbar li ul.equation-buttnons-dropdown li button:hover
{
    background-color: rgba(0, 0, 0, 0.63);
    color: #a7fbff;
}
.eqation-toolbar li ul.equation-buttnons-dropdown
{
    width: 190%;
    min-width: 200px;
    position: absolute;
    background-color: rgba(0, 0, 0, 0.096);
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.767);
    backdrop-filter: blur(10px);
    left: 50%;
    transform: translateX(-50%);
    padding: 5px 20px 5px 20px;
    justify-content: center;
    border-radius: 10px;
    display: none;
    font-size: 0.9em;
    flex-wrap: wrap;
    z-index: 1000;
}
.eqation-toolbar li:hover .equation-buttnons-dropdown {
    display: flex;
}

#math-color
{
    /* background-color: #00e1ff; */
    transition: 0.1s;
    width: 30px;
    height: 30px;
    border-radius: 10px;
}
#math-color:hover
{
    border: 2px solid rgb(255, 255, 255);
}

#math-font
{
    padding: 5px 20px 5px 20px;
    width: 100px;
    height: 30px;
    font-size: 0.8em;
    border-radius: 8px;
}

#math-matrix
{
    padding: 5px 10px 5px 10px;
    width: auto;
    height: auto;
}

.rows-columns
{
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: fixed;
    background-color: white;
    box-shadow: 0 0 30px rgba(0, 0, 0, 0.479);
    display: none;
    flex-direction: column;
    font-size: 1.2em;
    color: #28414e;
    font-weight: 600;
    padding: 40px 50px 15px 50px;
    gap: 50px;
    justify-content: space-around;
    border-radius: 20px;
}
.rows-columns.active
{
    display: flex;
}
.rows-columns div
{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}
.rows-columns select
{
    padding: 5px;
    border-radius: 8px;
    font-size: 1.2em;
    font-weight: 600;
}
.rows-columns button
{
    background-color: #28414e;
    color: white;
    font-size: 1.25em;
    font-weight: 700;
    border-radius: 20px;
    padding: 10px;
    cursor: pointer;
    transition: 0.2s;
}
.rows-columns button:hover
{
    background-color: #365a6d;
    color: white;
}

.select-number-columns.hide
{
    display: none;
}
.select-number-columns
{
    display: block;
}

.eqation-toolbar li ul.equation-buttnons-dropdown li button.add-equation-symbol
{
    width: 230px;
    height: 60px;
    padding: 5px 50px 5px 50px;
    font-weight: 600;
}
.eqation-toolbar .equation-buttnons-dropdown .add-equation-symbol:hover,
.eqation-toolbar .equation-buttnons-dropdown li:hover > button
{
    background-color: rgba(0, 0, 0, 0.63);
}

#add-symbol-btn
{
    width: 38px;
    height: 38px;
    font-weight: 800;
    font-size: 1.3em;
    transition: 0.1s;
    background-color: hsl(185, 48%, 95%);
}
#add-symbol-btn:hover
{
    transform: scale(1.32);
    font-size: 1.6em;
    background-color: #28414e;
}

.eqation-toolbar li ul.equation-buttnons-dropdown li ul
{
    display: none;
    position: absolute;
    flex-wrap: wrap;
    width: 700px;
    max-width: 700px;
    max-height: 330px;
    transform: translateY(-32.5%);
    overflow-x: hidden;
    overflow-y: auto;
    background: rgb(255, 255, 255);
    backdrop-filter: blur(10px);
    border: 2px solid #0000008e;
    padding: 10px 0px 10px 0px;
    justify-content: center;
    border-radius: 10px;
    font-size: 0.9em;
    z-index: 99;
}

.eqation-toolbar li ul.equation-buttnons-dropdown li:hover .symbol-dropdown
{
    display: flex;
}



/*^       Empty <li> edit       */
#basic-dropdown li:nth-of-type(7),
#basic-dropdown li:nth-of-type(25)
{
    flex-basis: 100%;
    height: 8px;
}


#operators-dropdown li:nth-of-type(17),
#operators-dropdown li:nth-of-type(45),
#operators-dropdown li:nth-of-type(62)
{
    flex-basis: 100%;
    height: 8px;
}


#letters-dropdown li:nth-of-type(25)
{
    flex-basis: 100%;
    height: 8px;
}


#arrows-dropdown li:nth-of-type(30)
{
    flex-basis: 100%;
    height: 8px;
}



@media (max-width: 768px)
{
    .eqation-toolbar button
    {
        padding: 4px 8px 4px 8px;
        font-size: 1em;
        border-radius: 7px;
    }
    .main-panel button.add-equation-structure
    {
        padding: 5px 10px 5px 10px;
        margin: 0;
        height: 95px;
        font-size: 0.95em;
    }

    .eqation-toolbar li ul.equation-buttnons-dropdown li button
    {
        font-size: 0.88em;
        width: 40px;
        height: 40px;
    }
    .eqation-toolbar li ul.equation-buttnons-dropdown
    {
        width: 120px;
        min-width: auto;
        padding: 5px 0;
        left: 50%;
        backdrop-filter: blur(4px);
    }

    .eqation-toolbar li ul.equation-buttnons-dropdown li button.add-equation-symbol
    {
        width: 120px;
        font-size: 0.75em;
        height: 30px;
        padding: 5px 10px 5px 10px;
    }
    .eqation-toolbar li ul.equation-buttnons-dropdown li ul
    {
        position: absolute;
        width: 190px;
        max-height: 330px;
        overflow-x: auto;
        overflow-y: auto;
        /* background-color: #17dcff91; */
        z-index: 99;
    }
}

/* #endregion-2 eqation toolbar*/


/*  #region-2 edit section   */
.exercise-command,
.exercise-content,
.exercise-solution,
.exercise-answer
{
    width: 100%;
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5px;
    padding: 20px;
}
.exercise-command.show,
.exercise-content.show,
.exercise-solution.show,
.exercise-answer.show
{
    display: flex;
}
.preview-command,
.preview-content,
.preview-solution,
.preview-answer
{
    width: 95%;
    display: flex;
    justify-content: start;
    align-items: center;
    background-color: rgba(255, 255, 255, 0.671);
    font-size: 1.4em;
    padding: 5px 0;
    font-weight: 500;
    border-radius: 20px;
    min-height: 70px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.281);
    overflow-x: auto;
    overflow-y: hidden;
}
.preview-command div,
.preview-content div,
.preview-solution div,
.preview-answer div
{
    margin: 0 15px;
    font-weight: 400;
    max-width: 100%;
    width: 100%;
    overflow-x: auto;
    overflow-y: hidden;
}


.preview-command div b,
.preview-content div b,
.preview-solution div b,
.preview-answer div b
{
    font-weight: 1000;
}
.preview-command div h2,
.preview-content div h2,
.preview-solution div h2,
.preview-answer div h2
{
    width: 100%;
    font-size: 2em;
    text-align: center;
    font-weight: 1000;
}

.preview-command mjx-container,
.preview-content mjx-container,
.preview-solution mjx-container,
.preview-answer mjx-container
{
    max-width: 100%;
    width: 100%;
    overflow-x: auto;
    overflow-y: hidden;
    padding-bottom: 10px;
}

@media (max-width: 768px)
{
    .preview-command div,
    .preview-content div,
    .preview-solution div,
    .preview-answer div
    {
        font-size: 0.9em;
    }
}

/* #endregion-2 */


/*  #region tags */
.exercise-tags
{
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    padding: 10px;
    margin-top: 5px;
}
.exercise-tags input
{
    padding: 6px 8px 6px 8px;
    border-radius: 5px;
    font-weight: 600;
    font-size: 1.2em;
    border: none;
    background: none;
}
.exercise-tags input:focus
{
    outline: none;
}
.input-tags-box
{
    display: flex;
    align-items: center;
    flex-wrap: nowrap;
    border: 1px solid rgba(0, 0, 0, 0.596);
    padding: 2px 6px 2px 6px;
    border-radius: 8px;
    max-width: 100%;
}
.input-tags-box small
{
    color: #00000070;
}
.input-tags-box span
{
    margin-right: 5px;
    display: flex;
    justify-content: start;
    align-items: center;
    font-size: 1.2em;
}
.tag
{
    background-color: #0097d3;
    border-radius: 50px;
    padding: 4px 10px;
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: space-between;
    gap: 8px;
    margin: 0.2em;
}
.tag span
{
    background-color: white;
    border-radius: 20px;
    padding: 2px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}
.tag ion-icon
{
    pointer-events: none;
}
.tags
{
    max-width: 60%;
    height: auto;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin-top: 10px;
    gap: 5px;
    margin-bottom: 20px;
}



@media (max-width: 768px)
{
    .exercise-tags
    {
        width: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 3px;
        padding: 8px;
        margin-top: 5px;
    }
    .tags
    {
        max-width: 90%;
    }
    .input-tags-box
    {
        width: 100%;
    }


    .preview-command
    {
        width: 98%;
        font-size: 1.1em;
        padding: 5px 0;
        overflow-x: auto;
        overflow-y: hidden;
    }
    .preview-command p
    {
        margin: 0 10px;
    }

    .preview-content
    {
        width: 98%;
        font-size: 1.1em;
        padding: 5px 0;
        overflow-x: auto;
        overflow-y: hidden;
    }
    .preview-content p
    {
        margin: 0 10px;
    }

    .preview-solution
    {
        width: 98%;
        font-size: 1.1em;
        padding: 5px 0;
        overflow-x: auto;
        overflow-y: hidden;
    }
    .preview-solution p
    {
        margin: 0 10px;
    }

    .preview-answer
    {
        width: 98%;
        font-size: 1.1em;
        padding: 5px 0;
        overflow-x: auto;
        overflow-y: hidden;
    }
    .preview-answer p
    {
        margin: 0 10px;
    }
}

/* #endregion-3 */


/*  #region-3 is word problem, proof education level */
.checkboxes
{
    display: flex;
    justify-content: start;
    align-items: start;
    flex-direction: column;
    gap: 20px;
}

.container-checkbox
{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5px;
    gap: 15px;
}
.button-word-problem
{
    background-color: #afafaf;
    width: 80px;
    height: 40px;
    border-radius: 80px;
    cursor: pointer;
    position: relative;
    transition: 0.3s;
}
.button-word-problem::before
{
    position: absolute;
    content: '';
    background-color: #fff;
    width: 34px;
    height: 34px;
    border-radius: 100px;
    margin: 3px;
    transition: 0.3s ease;
}
.exercise-settings-block input:checked + .button-word-problem
{
    background-color: #0097d3;
}
.exercise-settings-block input:checked + .button-word-problem::before
{
    transform: translateX(40px);
}
.exercise-settings-block input
{
    display: none;
}


.button-proof
{
    background-color: #afafaf;
    width: 80px;
    height: 40px;
    border-radius: 80px;
    cursor: pointer;
    position: relative;
    transition: 0.3s;
}
.button-proof::before
{
    position: absolute;
    content: '';
    background-color: #fff;
    width: 34px;
    height: 34px;
    border-radius: 100px;
    margin: 3px;
    transition: 0.3s ease;
}
.exercise-settings-block input:checked + .button-proof
{
    background-color: #0097d3;
}
.exercise-settings-block input:checked + .button-proof::before
{
    transform: translateX(40px);
}



.container-select-lvl
{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
    position: relative;
}
select.education-lvl
{
    border-radius: 100px;
    width: auto;
    padding: 15px 45px 15px 25px;
    font-size: 1.1em;
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: start;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border: 2px solid rgba(0, 0, 0, 0.247);
    transition: 0.3s;
    outline: none;
}
select.education-lvl::-ms-expand
{
    display: none;
}
select.education-lvl:hover
{
    border: 2px solid black;
}
select.education-lvl option:hover
{
    background-color: #00000070;
}

.container-select-lvl ion-icon
{
    position: absolute;
    top: 50%;
    right: 10px;
    pointer-events: none;
    transform: translateY(-50%);
}



.main-panel .submit-exercise
{
    cursor: pointer;
    margin-top: 60px;
    margin-right: 20px;
    border-radius: 100px;
    background-color: #0097d3;
    padding: 10px 30px;
    color: rgb(255, 255, 255);
    font-size: 1.36em;
    font-weight: 800;
    transition: 0.45s;
}
.main-panel .submit-exercise:hover
{
    background-color: #00658d;
    color: rgb(255, 255, 255);
}

.main-panel .save-as-draft
{
    cursor: pointer;
    border-radius: 100px;
    margin-top: 10px;
    background-color: #9c9c9c;
    padding: 10px 30px;
    color: rgb(255, 255, 255);
    font-size: 1.36em;
    font-weight: 800;
    transition: 0.45s;
}
.main-panel .save-as-draft:hover
{
    background-color: #686868;
    color: rgb(255, 255, 255);
}


@media (max-width: 768px)
{
    .exercise-settings-block
    {
        align-items: start;
        justify-content: space-between;
    }

    .container-checkbox
    {
        flex-direction: column;
        align-items: start;
        padding: 5px 0px 5px 20px;
        gap: 4px;
    }

    .button-proof,
    .button-word-problem
    {
        width: 50px;
        height: 25px;
        border-radius: 80px;
    }
    .button-proof::before,
    .button-word-problem::before
    {
        width: 19px;
        height: 19px;
        border-radius: 100px;
        margin: 3px;
    }
    .exercise-settings-block input:checked + .button-proof::before,
    .exercise-settings-block input:checked + .button-word-problem::before
    {
        transform: translateX(25px);
    }


    .container-select-lvl
    {
        flex-direction: column;
        gap: 10px;
    }
    select.education-lvl
    {
        border-radius: 100px;
        width: auto;
        padding: 5px 25px 5px 8px;
        font-size: 0.9em;
    }
    .container-select-lvl ion-icon
    {
        top: 77%;
        right: 4px;
        pointer-events: none;
        transform: translateY(-50%);
    }

    .main-panel .submit-exercise
    {
        padding: 8px 20px;
        font-size: 1.1em;
    }
    .main-panel .save-as-draft
    {
        margin-top: 8px;
        padding: 8px 20px;
        font-size: 1.1em;
    }
}

/* #endregion */




/*  #region-2 visualization   */
.exercise-visualization-solution-block
{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 10px 30px 10px 30px;
    border: 2px solid #0000003b;
    background-color: rgba(0, 0, 0, 0.123);
    border-radius: 20px;
    gap: 20px;
    transition: 0.1s;
}
.exercise-visualization-solution-block.hide
{
    display: none;
}
.exercise-visualization-solution-block.show ion-icon
{
    transform: rotate(0deg);
}
.exercise-visualization-solution-block.show
{
    border: 6px solid #000000ab;
    background-color: rgba(0, 71, 80, 0.295);
}


.exercise-visualization-solution
{
    width: 100%;
    display: none;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 5px;
    padding: 20px;
}
.exercise-visualization-solution.show
{
    display: flex;
}

.exercise-visualization-solution textarea
{
    width: 100%;
    top: 23px; left: 0;
    background: #1d2330;
    color: white;
    caret-color: black;
    z-index: 2;
    resize: none;
    overflow: hidden;
    text-decoration: none;
    height: auto;
    box-sizing: border-box;
    padding: 10px 10px 10px 10px;
    font-size: 1.5em;
    border-radius: 10px;
    line-height: 1.4;
    box-shadow: 0 0 25px rgba(0, 0, 0, 0.377);
    border: none;
    outline: none;
    min-height: 150px;
    caret-color: white;
    margin-bottom: 20px;
    overflow-anchor: none;
}

.exercise-visualization-solution button
{
    margin-bottom: 10px;
    padding: 8px 15px;
    background-color: #00658d60;
    border-radius: 8px;
    color: white;
    cursor: pointer;
}
.exercise-visualization-solution button:hover
{
    color: white;
    background-color:rgba(0, 101, 141, 0.692);
}
.exercise-visualization-solution button:active
{
    color: white;
    background-color:rgb(0, 80, 112);
}


/* #endregion */



/*  #region-2 example   */
.tip-0
{
    color: #2a7dad;
    font-size: 1.2em;
    max-width: 80vw;
    margin-top: -70px;
}
.tip-1
{
    color: #0093e9;
    font-size: 1.2em;
    max-width: 20vw;
}
.tip-2
{
    color: #e98400;
    font-size: 1.2em;
    max-width: 90%;
}

@media (max-width: 768px)
{
    .tip-0
    {
        font-size: 0.9em;
        margin-top: 0px;
    }
    .tip-1
    {
        font-size: 1em;
        max-width: 40vw;
    }
    .tip-2
    {
        font-size: 1em;
        max-width: 90%
    }
}
/* #endregion */